# azure.mgmt.resource.locks.v2015_01_01 package

## Submodules

- azure.mgmt.resource.locks.v2015_01_01.models module
- azure.mgmt.resource.locks.v2015_01_01.operations module

## Module contents

class `azure.mgmt.resource.locks.v2015_01_01.``ManagementLockClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Variables:

  - config (ManagementLockClientConfiguration) – Configuration for client.
  - management_locks (azure.mgmt.resource.locks.v2015_01_01.operations.ManagementLocksOperations) – ManagementLocks operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL

class `azure.mgmt.resource.locks.v2015_01_01.``ManagementLockClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for ManagementLockClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL